## The resource utilized for saving a Block
class_name BlockDataResource
extends NodeDataResource


@export var block_id: String = "001"


func _save_data(node: Node3D) -> void:
	super._save_data(node)

	block_id = node.id


func _load_data(window: Window) -> void:
	var scene_node: Node = window.get_node_or_null(node_path)

	if scene_node == null: return

	var block: Block = scene_node
	block.transform = transform
	block.set_id(block_id)
	print("Loaded Block: ", block.name)
